
Internal Tools - Bug #19601

Task # 19672 (New): 暫定eSIM投入ツール

Bug # 19542 (Resolved): Issues on 暫定eSIM投入ツール

[QA] eSIM初期費用の請求データが作られない

06/21/2023 07:51 AM - Takeshi Sasamori

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Takeshi Sasamori   

Type:  バグ要因:  

Description

□テストデータ

アカウントID :jcitest_user04

パスワード :secret

請求番号：15791611

□テスト手順

1. 暫定eSIMツールにて新規およびMNPでeSIM開通

2. OracleSQLプロシージャ実行

　PRC_MVNE_MON_CREATE_INVOICES

試験環境にて以下実行していますが請求番号(15791611)作られるもののT_INVOICE_DETAILSには特にレコード作られません。

PRC_MVNE_MON_CREATE_INVOICES

IN_SALES_YM := '2023/06';

IN_FROM_WHERE := 1;

IN_GROUP_ID := 20619;

実行時ログでは以下のようなメッセージがでます。

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611],

dtl.NETWORK_CONTRACT_ID=[19722], dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[3], num_OUT_NUM=[-1],

var_OUT_MSG=[起算日関連の情報取得に失敗しました。ORA-01403: no data found]

 

対象回線はT_LINE_PROFILESに存在していることは確認済みです。

月額などの請求情報はGodzilla取込していない状態でテストしています。

どこに問題があるか不明なためご確認をお願いいたします。

テスト回線データや手順に誤りがあるようであればご指摘ください。

History

#1 - 06/21/2023 08:45 AM - Makoto Tanaka

DECLARE

    IN_SALES_YM     VARCHAR2(16)    :=  '2023/06';

    IN_FROM_WHERE   NUMBER(12)      :=  1;

    IN_GROUP_ID     NUMBER(12)      :=  20619;

    OUT_NUM         NUMBER(12)      :=  NULL;

    OUT_MSG         VARCHAR2(2048)  :=  NULL;

BEGIN

    PRC_MVNE_MON_CREATE_INVOICES(

    IN_SALES_YM     ,

    IN_FROM_WHERE   ,

    IN_GROUP_ID     ,

    OUT_NUM         ,

    OUT_MSG         );

    RETURN;

END;

/

SET FEEDBACK    ON
ROLLBACK

/

 

[mtanaka@dev-minilla01v ~]$ . /opt/report/report.env

[mtanaka@dev-minilla01v ~]$ cat test_PRC_MVNE_MON_CREATE_INVOICES.sql | sqlplus_out

BEGIN: IN_SALES_YM=[2023/06], IN_FROM_WHERE=[1], IN_GROUP_ID=[20619]

STEP01: IN_GROUP_ID=[20619], num_COMPANY_ID=[29]

STEP02: dat_INVOICE_DATE=[23-06-30]

STEP03: dat_RANGE_FROM/TO=[23-06-01/23-06-30]

STEP04: num_FINANCIAL_ID=[22282]

STEP05: UPDATE T_ORDER_DETAILS_ADDRESSES

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[2], num_OUT_NUM=[838563131], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[6000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[6000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[600].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[3], num_OUT_NUM=[838563141], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[15000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[15000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[1500].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[6], num_OUT_NUM=[838563151], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[33000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[33000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[3300].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[1], num_OUT_NUM=[838563161], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[36000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[36000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[3600].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[3], num_OUT_NUM=[838563171], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[45000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[45000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[4500].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[5], num_OUT_NUM=[838563191], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[60000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[60000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[6000].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP06-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791611]

STEP06-04: PKG_CREATE_MON_INVOICE_DTL:num_INVOICE_NUMBER=[15791611], dtl.NETWORK_CONTRACT_ID=[19722],

dtl.TRF_PRODUCT_CODE=[MS-LINEV-INI], dtl.QTY=[3], num_OUT_NUM=[838563211], var_OUT_MSG=[請求明細情報生成に成功しました。]

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[69000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[69000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

06/27/2025 2/4



PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[6900].

STEP06-06: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP07-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791612]

STEP07-03: FIND-INVOICE-DTLS:num_LINE_NUMBER=[838070971], num_INV_DTL_QTY=[1]

STEP07-05: UPDATE-QTY:num_INVOICE_NUMBER=[15791612], num_LINE_NUMBER=[838070971], fixdtl.NETWORK_CONTRACT_ID=[17392],

fixdtl.TRF_PRODUCT_CODE=[MS-PORTAL-FEE], fixdtl.QTY=[1]

STEP07-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791612]

STEP07-03: FIND-INVOICE-DTLS:num_LINE_NUMBER=[838070971], num_INV_DTL_QTY=[1]

STEP07-05: UPDATE-QTY:num_INVOICE_NUMBER=[15791612], num_LINE_NUMBER=[838070971], fixdtl.NETWORK_CONTRACT_ID=[17430],

fixdtl.TRF_PRODUCT_CODE=[MS-PORTAL-FEE], fixdtl.QTY=[1]

STEP07-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791612]

STEP07-03: FIND-INVOICE-DTLS:num_LINE_NUMBER=[838070971], num_INV_DTL_QTY=[1]

STEP07-05: UPDATE-QTY:num_INVOICE_NUMBER=[15791612], num_LINE_NUMBER=[838070971], fixdtl.NETWORK_CONTRACT_ID=[17614],

fixdtl.TRF_PRODUCT_CODE=[MS-PORTAL-FEE], fixdtl.QTY=[1]

STEP07-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791612]

STEP07-03: FIND-INVOICE-DTLS:num_LINE_NUMBER=[838070971], num_INV_DTL_QTY=[1]

STEP07-05: UPDATE-QTY:num_INVOICE_NUMBER=[15791612], num_LINE_NUMBER=[838070971], fixdtl.NETWORK_CONTRACT_ID=[18147],

fixdtl.TRF_PRODUCT_CODE=[MS-PORTAL-FEE], fixdtl.QTY=[1]

STEP07-01: FNC_FIND_INVOICES_EX:num_INVOICE_NUMBER=[15791612]

STEP07-03: FIND-INVOICE-DTLS:num_LINE_NUMBER=[838070971], num_INV_DTL_QTY=[1]

STEP07-05: UPDATE-QTY:num_INVOICE_NUMBER=[15791612], num_LINE_NUMBER=[838070971], fixdtl.NETWORK_CONTRACT_ID=[20187],

fixdtl.TRF_PRODUCT_CODE=[MS-PORTAL-FEE], fixdtl.QTY=[1]

STEP08: PKG_STORE_INVOICE_TOTAL: START.

PRC_STORE_INVOICE_TOTAL: numClaimColGuarantee=[0].

PRC_STORE_INVOICE_TOTAL: AMOUNT=[69000].

PRC_STORE_INVOICE_TOTAL: TAXABLE_AMOUNT=[69000].

PRC_STORE_INVOICE_TOTAL: NON_TAXABLE_AMOUNT=[0].

PRC_STORE_INVOICE_TOTAL: TAX_AMOUNT=[6900].

STEP08: PKG_STORE_INVOICE_TOTAL:num_INVOICE_NUMBER=[15791611],num_OUT_NUM=[15791611], var_OUT_MSG=[]

STEP08: PKG_STORE_INVOICE_TOTAL: END.

END: IN_SALES_YM=[2023/06], IN_FROM_WHERE=[1], IN_GROUP_ID=[20619]

ロールバックが完了しました。

#2 - 06/21/2023 08:54 AM - Makoto Tanaka

- Assignee changed from Makoto Tanaka to Takeshi Sasamori

- Status changed from New to Resolved

eSIM初期費用抽出項目誤り。

eSIMのため出荷受注がないにもかかわらず、出荷受注受注明細IDにeSIM取り込み時の受注明細IDを指定していた。
修正し試験環境（本番も）デプロイ済み。

再確認をお願いします。

#3 - 06/21/2023 09:08 AM - Takeshi Sasamori

- % Done changed from 0 to 100

- Status changed from Resolved to Closed

開通回線数のMS-LINEV-INIが作成されていることを確認。

再発行費用が初期手数料対象外となることの確認は別途実施します。

クローズします。

Files

ログ_エラー.txt 4.79 KB 06/21/2023 Takeshi Sasamori
